jQuery(document).ready(function($) {
	'use strict';

	// Instantiates the variable that holds the media library frame.
	var metaImageFrame;

	// Runs when the media button is clicked.
	$( 'body' ).click(function(e) {
		// Get the btn
		var btn = e.target;

		if ( !btn || !$( btn ).attr( 'data-media-uploader-target' ) ) return;

		// Get the field target
		var field = $(btn).parent().find('.currency-icon-url');
		var img_field = $(btn).parent().parent().find('.currency-icon');

		e.preventDefault();

		// Sets up the media library frame
		metaImageFrame = wp.media.frames.metaImageFrame = wp.media({
			title: currencies.upload_icon,
			button: { text: currencies.use_this_file },
		});

		// Runs when an image is selected.
		metaImageFrame.on('select', function() {
			// Grabs the attachment selection and creates a JSON representation of the model.
			var media_attachment = metaImageFrame.state().get('selection').first().toJSON();
			$( field ).val(media_attachment.url);

			$( img_field ).html( '<img src="' + media_attachment.url + '" height="24" width="24" />' );
		});

		// Opens the media library frame.
		metaImageFrame.open();
	});
});