<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<table class="currencies wc_input_table sortable widefat">
	<thead>
		<tr>
			<th width="30px">
				<!-- -->
			</th>
			<th width="80px">
				<?php _e( 'Code', 'lionplugins' ); ?>
			</th>
			<th width="100px">
				<?php _e( 'Symbol', 'lionplugins' ); ?>
			</th>
			<th width="140px">
				<?php _e( 'Currency name', 'lionplugins' ); ?>
			</th>
			<th width="120px">
				<?php _e( 'Position', 'lionplugins' ); ?>
			</th>
			<th>
				<?php _e( 'Image', 'lionplugins' ); ?>
			</th>
		</tr>
	</thead>
	<tbody id="rates">
		<tr class="default-currency">
			<td></td>
			<td>
				<span><?php echo get_woocommerce_currency(); ?></span>
			</td>
			<td>
				<input type="text" name="default_currency[symbol]" value="<?php echo esc_attr( @$template_data['default_currency']['symbol'] ); ?>" /></span>
			</td>
			<td>
				<input type="text" value="<?php echo esc_attr( @$template_data['default_currency']['name'] ); ?>" name="default_currency[name]" />
			</td>
			<td>
				<span><?php echo $template_data['currency_position']; ?></span>
			</td>
			<td>
				<div class="currency-icon">
					<?php if ( ! empty( $template_data['default_currency']['icon_url'] ) ) : ?>
						<img src="<?php echo esc_url( @$template_data['default_currency']['icon_url'] ); ?>" height="24" width="24" />
					<?php endif; ?>
				</div>
						
				<div class="currency-buttons">
					<input type="hidden" class="currency-icon-url" name="default_currency[icon_url]" value="<?php echo esc_url( @$template_data['default_currency']['icon_url'] ); ?>">

					<button type="button" class="button" data-media-uploader-target="currency-icon"><?php _e( 'Upload Icon', 'lionplugins' ); ?></button>
				</div>
			</td>
		</tr>

		<?php
		if ( $template_data['currencies'] ) :
			foreach ( $template_data['currencies'] as $currency ) :
				?>
				<tr>
					<td class="drag">
						<img src="<?php echo LION_MULTICURRENCY_URL . '/admin/assets/images/drag.png'; ?>" />
					</td>
					<td>
						<input type="text" value="<?php echo esc_attr( @$currency['code'] ); ?>" name="currencies[code][]" />
					</td>
					<td>
						<input type="text" value="<?php echo esc_attr( @$currency['symbol'] ); ?>" name="currencies[symbol][]" />
					</td>
					<td>
						<input type="text" value="<?php echo esc_attr( @$currency['name'] ); ?>" name="currencies[name][]" />
					</td>
					<td>
						<select class="currency-position" name="currencies[position][]">
							<?php
							$options = array(
								'left' => __( 'Left', 'lionplugins' ),
								'right' => __( 'Right', 'lionplugins' ),
								'left_space' => __( 'Left with space', 'lionplugins' ),
								'right_space' => __( 'Right with space', 'lionplugins' ),
							);

							foreach ( $options as $option_value => $name ) :
								$selected = ( $option_value == $currency['position'] ) ? 'selected' : '';
								?>
								<option value="<?php echo $option_value; ?>" <?php echo $selected; ?>><?php echo $name; ?></option>
							<?php endforeach; ?>

						</select>
					</td>
					<td>
						<div class="currency-icon">
							<?php if ( ! empty( $currency['icon_url'] ) ) : ?>
								<img src="<?php echo esc_url( @$currency['icon_url'] ); ?>" height="24" width="24" />
							<?php endif; ?>
						</div>
						
						<div class="currency-buttons">
							<input type="hidden" class="currency-icon-url" name="currencies[icon_url][]" value="<?php echo esc_url( @$currency['icon_url'] ); ?>">

							<button type="button" class="button" data-media-uploader-target="currency-icon"><?php _e( 'Upload Icon', 'lionplugins' ); ?></button>
						</div>
					</td>
				</tr>
				<?php
			endforeach;
		endif;
		?>
	</tbody>
	<tfoot>
		<tr>
			<th colspan="10">
				<a href="#" class="button plus insert">
					<?php _e( 'Insert row', 'lionplugins' ); ?>
				</a>
				<a href="#" class="button minus remove_item">
					<?php _e( 'Remove selected row(s)', 'lionplugins' ); ?>
				</a>
			</th>
		</tr>
	</tfoot>
</table>
