<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$currencies = get_option( 'lionplugins_currencies' );

if ( $currencies ) :
	$exchange_rates = get_option( 'lionplugins_exchange_rates' );
	?>
	<table class="currencies wc_input_table widefat">
		<thead>
			<tr>
				<th style="width: 140px;">
					<?php _e( 'Currency code', 'lionplugins' ); ?>
				</th>
				<th>
					<?php _e( 'Exchange rate', 'lionplugins' ); ?>
				</th>
			</tr>
		</thead>
		<tbody>
			<?php
			foreach ( $currencies as $k => $data ) :
				?>
				<tr>
					<td class="currency-name">
					<?php echo esc_attr( $data['code'] ); ?>		
					</td>
					<td>
						<input type="text" value="<?php echo esc_attr( @$exchange_rates[ $data['code'] ]['rate'] ); ?>" name="exchange_rates[rate][<?php echo @$data['code']; ?>]" />
					</td>
				</tr>
				<?php
				endforeach;
			?>
		</tbody>
	</table>
<?php else : ?>
	<p><?php _e( 'Please add currencies first.', 'lionplugins' ); ?></p>
<?php endif; ?>
