<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Get all currencies
 * 
*/
function lion_multicurrency_get_currencies() {
	$default_currency = get_option( 'lionplugins_default_currency' );
	$currencies = get_option( 'lionplugins_currencies' );

	$arranged_currencies = array();
	$arranged_currencies[ $default_currency['code'] ] = $default_currency;

	if ( $currencies ) {
		foreach ( $currencies as $k => $currency ) {
			$arranged_currencies[ $currency['code'] ] = $currency;
			unset( $arranged_currencies[ $k ] );
		}
	}

	return $arranged_currencies;
}

/**
 * Get currency output for the widget
 * 
*/
function lion_multicurrency_get_currency_output( $code, $currencies, $type ) {
	if ( ! isset( $currencies[ $code ]['code'] ) )
		return;

	$currency_url = add_query_arg( 'lp_currency', $currencies[ $code ]['code'], $_SERVER['REQUEST_URI'] );

	$output = '';
	switch ( $type ) {
		case 'icon_and_currency_code':
			$output .= '<a href="' . esc_url( $currency_url ) . '">';
			if ( ! empty( $currencies[ $code ]['icon_url'] ) ) {
				$output .= '<img src="' . esc_url( $currencies[ $code ]['icon_url'] ) . '" alt="' . esc_attr( $currencies[ $code ]['name'] ) . '" class="icon" />';
			}
			$output .= ' <span>' . esc_attr( $currencies[ $code ]['name'] ) . '</span></a>';
			break;
		case 'icon':
			$output .= '<a href="' . esc_url( $currency_url ) . '">';
			if ( ! empty( $currencies[ $code ]['icon_url'] ) ) {
				$output .= '<img src="' . esc_url( $currencies[ $code ]['icon_url'] ) . '" alt="' . esc_attr( $currencies[ $code ]['name'] ) . '" class="icon" />';
			}
			$output .= '</a>';
			break;
		case 'currency_code':
			$output .= '<a href="' . esc_url( $currency_url ) . '"><span>' . esc_attr( $currencies[ $code ]['name'] ) . '</span></a>';
			break;
	}

	return $output;
}
